CREATE TABLE fnd_kf_table_usages[ (
    ENTERPRISE_ID             NUMBER(18, 0)     NOT NULL,
    TABLE_NAME                VARCHAR2(120)     NOT NULL,
    TABLE_USAGE_CODE          VARCHAR2(160)     NOT NULL,
    MODULE_ID                 VARCHAR2(128) ,
    APPLICATION_ID            NUMBER(18, 0)     NOT NULL,
    KEY_FLEXFIELD_CODE        VARCHAR2(16)      NOT NULL,
    USAGE_TYPE                VARCHAR2(120)     NOT NULL,
    COLUMN_NAME_PREFIX        VARCHAR2(120) ,
    SEGMENT_LABEL_CODE        VARCHAR2(120) ,
    DESCRIPTION               VARCHAR2(960) ,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    SEED_DATA_SOURCE          VARCHAR2(2048),
    ORA_SEED_SET1             VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2             VARCHAR2(4)       NOT NULL,
    TABLE_USAGE_IDENTIFIER    VARCHAR2(120) 
);
